# Generated by Django 2.2.3 on 2019-07-25 07:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='EventTable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('winner', models.IntegerField(default=0)),
                ('prize', models.IntegerField(default=0)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField(max_length=300)),
                ('attacker', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='attacker', to=settings.AUTH_USER_MODEL)),
                ('defencer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='defencer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
